<div class="wrap content">
	<div class="settings">
		<h2 class="settings__title">Settings</h2>

		<div class="settings__group">
			<div class="settings__option">
				<span class="settings__label">Paragraphs: {{ targetParagraphs }}</span>
				<div class="settings__counters">
					<button class="btn btn--counter" (click)="doParaDec()">–</button> 
					<button class="btn btn--counter" (click)="doParaInc()">+</button>
				</div> 
			</div>

			<div class="settings__option">
				<span class="settings__label">Min Sentences: {{ minSentences }}</span>
				<div class="settings__counters">
					<button class="btn btn--counter" (click)="doMinSenDec()">–</button> 
					<button class="btn btn--counter" (click)="doMinSenInc()">+</button>
				</div>
			</div>
			
			<div class="settings__option">
				<span class="settings__label">Max Sentences: {{ maxSentences }}</span>
				<div class="settings__counters">
					<button class="btn btn--counter" (click)="doMaxSenDec()">–</button> 
					<button class="btn btn--counter" (click)="doMaxSenInc()">+</button>
				</div>
			</div>
		</div>

		<div class="settings__group">
			<span class="settings__label settings__label--block">Text Source</span>

			<div class="settings__options">

				<button class="btn btn--option" 
					[ngClass]="{'btn--selected': sourceSelection=='handbook'}" 
					(click)="doSelectSource('handbook')">
					Handbook</button>
			

				<button class="btn btn--option" 
					[ngClass]="{'btn--selected': sourceSelection=='issuables'}" 
					(click)="doSelectSource('issuables')">
					Issuables</button>

				<button class="btn btn--option" 
					[ngClass]="{'btn--selected': sourceSelection=='docs'}" 
					(click)="doSelectSource('docs')">
					Docs</button>

			</div>
					
		</div>

		<div class="settings__group">
			<span class="settings__label settings__label--block">Output</span>

			<div class="settings__options">
				<button class="btn btn--option" 
					[ngClass]="{'btn--selected': formatMacro=='text'}" 
					(click)="doFormatMacro('text')">
					Text</button>

				<button class="btn btn--option" 
					[ngClass]="{'btn--selected': formatMacro=='code'}" 
					(click)="doFormatMacro('code')">
					HTML</button>
					
					<button class="btn btn--option" 
					[ngClass]="{'btn--selected': formatMacro=='markdown'}" 
					(click)="doFormatMacro('markdown')">
					Markdown</button>
				</div>
		</div>

		<div class="settings__group">
			<span class="settings__label settings__label--block">Format</span>
			
			<div class="settings__options">
				<button class="btn btn--option" 
					[ngClass]="{'btn--selected': formatMicro=='p'}" 
					(click)="doFormatMicro('p')">
					&lt;p&gt;</button>

				<button class="btn btn--option" 
					[ngClass]="{'btn--selected': formatMicro=='ul'}" 
					(click)="doFormatMicro('ul')">
					&lt;ul&gt;</button>

				<button class="btn btn--option" 
					[ngClass]="{'btn--selected': formatMicro=='ol'}" 
					(click)="doFormatMicro('ol')">
					&lt;ol&gt;</button>
				</div>
		</div>

		<div class="settings__group settings__group--controls">
			<button class="btn btn--reset" (click)="doStorageReset()">Reset</button>
			<button class="btn btn--regen" (click)="generate()">Regenerate</button> 
		</div>

	</div>


	<div class="ipsum">
		<ng-container [ngSwitch]="formatMacro">
			<div *ngSwitchCase="'text'">
				<ng-container [ngSwitch]="formatMicro">

					<ng-container *ngSwitchCase="'p'">
						<p *ngFor="let para of outText">{{ para }}</p>
					</ng-container>

					<ul *ngSwitchCase="'ul'">
						<li *ngFor="let para of outText">{{ para }}</li>
					</ul>

					<ol *ngSwitchCase="'ol'">
						<li *ngFor="let para of outText">{{ para }}</li>
					</ol>

				</ng-container>
			</div>

			<div *ngSwitchCase="'code'">
				<code>

					<ng-container [ngSwitch]="formatMicro">

						<ng-container *ngSwitchCase="'p'">
							<ng-container *ngFor="let para of outText">
									<p><span class="tag">&lt;p&gt;</span>{{ para }}<span class="tag">&lt;/p&gt;</span></p>
							</ng-container>
						</ng-container>

						<ng-container *ngSwitchCase="'ul'">
							<p><span class="tag">&lt;ul&gt;</span></p>
							<ng-container *ngFor="let para of outText">
									<p><span class="tag">&lt;li&gt;</span>{{ para }}<span class="tag">&lt;/li&gt;</span></p>
							</ng-container>
							<p><span class="tag">&lt;/ul&gt;</span></p>
						</ng-container>

						<ng-container *ngSwitchCase="'ol'">
							<p><span class="tag">&lt;ol&gt;</span></p>
							<ng-container *ngFor="let para of outText">
									<p><span class="tag">&lt;li&gt;</span>{{ para }}<span class="tag">&lt;/li&gt;</span></p>
							</ng-container>
							<p><span class="tag">&lt;/ol&gt;</span></p>
						</ng-container>

					</ng-container>

				</code>
			</div>
				
			<div *ngSwitchCase="'markdown'">
				<ng-container [ngSwitch]="formatMicro">
					
					<ng-container *ngSwitchCase="'p'">
						<p *ngFor="let para of outText">{{ para }}</p>
					</ng-container>
					
					<p *ngSwitchCase="'ul'">
						<span *ngFor="let para of outText">- {{ para }}<br /></span>
					</p>
					
					<p *ngSwitchCase="'ol'">
						<span *ngFor="let para of outText">1. {{ para }}<br /></span>
					</p>
												
				</ng-container>
			</div>
				
		</ng-container>
	</div>
</div>
